changeset 2921:f129bd6b8d6b

script for building a tar.bz2 file with Octave and dependncies
author John W. Eaton <jwe@octave.org>
date Wed, 12 Dec 2012 12:46:04 -0500
parents a9fa640c348c
children da96f0536e7d
files mk-dist
diffstat 1 files changed, 40 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mk-dist	Wed Dec 12 12:46:04 2012 -0500
@@ -0,0 +1,40 @@
+#! /bin/bash
+
+set -e
+
+TOPDIR=$(pwd)
+PATH=/scratch/jwe/src/mxe-octave/usr/bin:$PATH
+TARGET=i686-pc-mingw32
+BUILD=x86_64-unwknown-linux-gnu
+STRIP=$TARGET-strip
+
+echo "deleting previous dist directory..."
+rm -rf dist
+mkdir -p dist/octave
+
+echo "building octave and dependencies..."
+make octave native-gcc native-binutils JOBS=9
+
+echo "copying files..."
+cd $TOPDIR/cross-tools/$PREFIX/$TARGET
+find . -type f -o -type l | sed "s,./,," > $TOPDIR/excluded-gcc-files
+cd $TOPDIR/usr/$TARGET
+tar -c -h -X $TOPDIR/excluded-gcc-files -f - . | ( cd $TOPDIR/dist/octave ; tar xpf - )
+
+cat > $TOPDIR/excluded-native-files << EOF
+./$TARGET
+./bin/$TARGET-*.exe
+EOF
+
+cd $TOPDIR/native-tools/usr
+tar -c -h -X $TOPDIR/excluded-native-files -f - . | ( cd $TOPDIR/dist/octave ; tar xpf - )
+
+cd $TOPDIR/dist/octave
+for f in $(find . -name '*.dll'); do
+  echo stripping $f...
+  $STRIP $f
+done
+
+echo "creating tar file..."
+cd $TOPDIR/dist
+tar -c -j -f octave.tar.bz2 octave